(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    103927,       2781]
NotebookOptionsPosition[     88773,       2516]
NotebookOutlinePosition[     89229,       2533]
CellTagsIndexPosition[     89186,       2530]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Integrating out z direction", "Section",
 CellChangeTimes->{{3.901768573969661*^9, 
  3.9017686010508842`*^9}},ExpressionUUID->"9363a600-1583-4616-8724-\
f4b1bbd892c1"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[CurlyPhi]", "[", 
    RowBox[{"z_", ",", "\[ScriptL]_"}], "]"}], ":=", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["\[ScriptL]"], 
      SuperscriptBox["\[Pi]", 
       RowBox[{"1", "/", "4"}]]}]], 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["z", "2"]}], "/", 
      RowBox[{"(", 
       RowBox[{"2", 
        SuperscriptBox["\[ScriptL]", "2"]}], ")"}]}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.901768609407528*^9, 3.9017687392860403`*^9}, {
  3.9083597491104045`*^9, 3.9083597517002287`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"e69b905f-04c3-4399-8fb9-af27a5a43ad7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"\[CurlyPhi]", "[", 
       RowBox[{"z", ",", "\[ScriptL]"}], "]"}], "2"], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.5"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[ScriptL]", ",", "0.5", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.908359756150457*^9, 3.9083597965780897`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"67872261-0271-4eed-9b17-131564919bb4"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[ScriptL]$$ = 0.612, Typeset`show$$ = True,
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[ScriptL]$$], 0.5, 2}}, Typeset`size$$ = {
    360., {115., 120.16457859775929`}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[ScriptL]$$ = 0.5}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`\[CurlyPhi][$CellContext`z, \
$CellContext`\[ScriptL]$$]^2, {$CellContext`z, -2, 2}, PlotRange -> {0, 1.5}],
       "Specifications" :> {{$CellContext`\[ScriptL]$$, 0.5, 2}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{408., {159.13403309800196`, 164.86596690199804`}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.908359746950466*^9, 3.9083597583700294`*^9}, {
  3.908359796790283*^9, 3.908359803060238*^9}},
 CellLabel->"Out[7]=",ExpressionUUID->"7246a854-7b0d-4d94-9642-8dfd54e3e807"]
}, Open  ]],

Cell["Normalization", "Text",
 CellChangeTimes->{{3.9017694696895485`*^9, 
  3.901769472496006*^9}},ExpressionUUID->"ec73a306-384c-47aa-b91b-\
381b138e64ea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"\[CurlyPhi]", "[", "z", "]"}], "2"], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], "]"}], 
   ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"\[ScriptL]", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9017694753214097`*^9, 3.9017695862510834`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"f18bbffe-81ef-48c7-9ed2-1a19bede3cbc"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.901769514096301*^9, 3.9017695423562527`*^9}, {
   3.9017695858784184`*^9, 3.901769591670944*^9}, 3.90187721189318*^9, 
   3.902480674035485*^9, 3.904205263182337*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"e7cf864a-bf83-45b0-a595-4e464afc0fb8"]
}, Open  ]],

Cell["Kinetic Energy", "Text",
 CellChangeTimes->{{3.9017696364684873`*^9, 
  3.901769638730688*^9}},ExpressionUUID->"638d88a8-a5bb-4dd3-8441-\
1e0f36c5d26e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[CurlyPhi]", "[", "z", "]"}], 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"\[CurlyPhi]", "[", "z", "]"}], ",", "z", ",", "z"}], "]"}]}],
      ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], "]"}], 
   ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"\[ScriptL]", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.901769601505942*^9, 3.901769610475894*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"b948d27f-2a3b-4906-b17a-9e146262a970"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["1", 
   RowBox[{"2", " ", 
    SuperscriptBox["\[ScriptL]", "2"]}]]}]], "Output",
 CellChangeTimes->{3.901769616875665*^9, 3.901877216651908*^9, 
  3.902480678747199*^9, 3.9042052685520973`*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"0856c51a-a34c-4d9d-9443-551e2ea1a2f3"]
}, Open  ]],

Cell["Trap Energy", "Text",
 CellChangeTimes->{{3.9017696432154093`*^9, 
  3.9017696478057737`*^9}},ExpressionUUID->"2ee65a03-bfda-4dda-ad55-\
24c3306a698f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["z", "2"], 
      SuperscriptBox[
       RowBox[{"\[CurlyPhi]", "[", "z", "]"}], "2"]}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], "]"}], 
   ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"\[ScriptL]", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9017696552357645`*^9, 3.901769658195774*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"fc9c4c67-d0f4-4e1c-8bb7-7c5cc799f528"],

Cell[BoxData[
 FractionBox[
  SuperscriptBox["\[ScriptL]", "2"], "2"]], "Output",
 CellChangeTimes->{3.9017696614507*^9, 3.9018772185457706`*^9, 
  3.902480680609354*^9, 3.904205270612306*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"fb82084d-ccad-452d-aa1b-e6825e87d4c9"]
}, Open  ]],

Cell["Contact Interactions", "Text",
 CellChangeTimes->{{3.9017697217535152`*^9, 
  3.9017697252996044`*^9}},ExpressionUUID->"b7761400-cc50-49a5-8152-\
31201d5382fb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"\[CurlyPhi]", "[", "z", "]"}], "4"], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], "]"}], 
   ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"\[ScriptL]", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.90176973040853*^9, 3.901769733057481*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"572f799f-6e36-48d6-9bbd-f0d09d33a48a"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{
   SqrtBox[
    RowBox[{"2", " ", "\[Pi]"}]], " ", "\[ScriptL]"}]]], "Output",
 CellChangeTimes->{3.9017697383436155`*^9, 3.901877222617774*^9, 
  3.9024806852193527`*^9, 3.9042052749123554`*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"cef2bf7a-27d9-4ddd-b3a4-d9e6fffb07dc"]
}, Open  ]],

Cell["Quantum Fluctuations", "Text",
 CellChangeTimes->{{3.9018580696954136`*^9, 
  3.901858073827981*^9}},ExpressionUUID->"3c3a85ee-1cb8-4b02-97ff-\
6e8933798b7c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"\[CurlyPhi]", "[", "z", "]"}], "5"], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], "]"}], 
   ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"\[ScriptL]", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9018581318549895`*^9, 3.9018581323952374`*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"8affe6ea-34e9-4e2a-a212-417cd7697747"],

Cell[BoxData[
 FractionBox[
  SqrtBox[
   FractionBox["2", "5"]], 
  RowBox[{
   SuperscriptBox["\[Pi]", 
    RowBox[{"3", "/", "4"}]], " ", 
   SuperscriptBox["\[ScriptL]", 
    RowBox[{"3", "/", "2"}]]}]]], "Output",
 CellChangeTimes->{3.90186174010208*^9, 3.9018772266937695`*^9, 
  3.902480689316049*^9, 3.9042052792833595`*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"62e6cea9-f547-428e-903e-c6b17170493b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    SqrtBox[
     FractionBox["2", 
      RowBox[{"5", " ", 
       SuperscriptBox["\[ScriptL]", "3"], 
       SuperscriptBox["\[Pi]", 
        RowBox[{"3", "/", "2"}]]}]]], "==", 
    FractionBox[
     SqrtBox[
      FractionBox["2", "5"]], 
     RowBox[{
      SuperscriptBox["\[Pi]", 
       RowBox[{"3", "/", "4"}]], " ", 
      SuperscriptBox["\[ScriptL]", 
       RowBox[{"3", "/", "2"}]]}]]}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"\[ScriptL]", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.901861747608756*^9, 3.901861784118245*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"f42d2715-8c00-4979-aa85-a0780896b1bc"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.9018617696152573`*^9, 3.9018617849483504`*^9}, 
   3.9018772268340807`*^9, 3.902480689459119*^9, 3.9042052794773703`*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"08ec8d82-d98f-45ae-a4de-f44611d20336"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Energy", "Subsubsection",
 CellChangeTimes->{{3.902307577239281*^9, 
  3.9023075781388435`*^9}},ExpressionUUID->"ff525df7-a128-41a8-baec-\
7180121ebee6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Integrate", "[", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"\[CurlyPhi]", "[", "z", "]"}], ",", "z"}], "]"}], "2"], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], "]"}], 
    ",", 
    RowBox[{"Assumptions", "->", 
     RowBox[{"\[ScriptL]", ">", "0"}]}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.902307580758333*^9, 3.9023075832586*^9}, {
  3.9023076652297626`*^9, 3.902307673648929*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"4a643741-089f-44fa-a0eb-039afa1c50b6"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"2", " ", 
   SuperscriptBox["\[ScriptL]", "2"]}]]], "Output",
 CellChangeTimes->{3.902307676847986*^9, 3.902480691336608*^9, 
  3.904205281455332*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"998187e8-1389-4134-a125-e4b1fdc34e58"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["DDI", "Subsection",
 CellChangeTimes->{{3.901967996956024*^9, 
  3.9019679972859774`*^9}},ExpressionUUID->"15198319-dab5-4208-9790-\
943047714c15"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Fpar", " ", "=", " ", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"3", 
     SqrtBox["\[Pi]"], 
     FractionBox[
      SuperscriptBox["qd", "2"], "q"], " ", 
     SuperscriptBox["\[ExponentialE]", 
      SuperscriptBox["q", "2"]], 
     RowBox[{"Erfc", "[", "q", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fperp", " ", "=", " ", 
   RowBox[{"2", "-", 
    RowBox[{"3", 
     SqrtBox["\[Pi]"], "q", " ", 
     SuperscriptBox["\[ExponentialE]", 
      SuperscriptBox["q", "2"]], 
     RowBox[{"Erfc", "[", "q", "]"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.902208280490345*^9, 3.902208281500071*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"35bff2c5-708c-4710-aae1-511cf7049877"],

Cell[CellGroupData[{

Cell["Infinite momentum limit", "Subsubsection",
 CellChangeTimes->{{3.902206162264982*^9, 
  3.902206174149441*^9}},ExpressionUUID->"b09fbee7-6d5f-4b82-93c3-\
81e98fc7bcb3"],

Cell["Large q, expand in 1/q", "Text",
 CellChangeTimes->{{3.9022024534921265`*^9, 3.902202454485592*^9}, {
  3.9022062003917*^9, 
  3.9022062049594874`*^9}},ExpressionUUID->"766e7b17-6777-416b-bc00-\
0cbfe4db807b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox[
    SuperscriptBox["qd", "2"], "q"], " ", 
   SuperscriptBox["\[ExponentialE]", 
    SuperscriptBox["q", "2"]], 
   RowBox[{"Erfc", "[", "q", "]"}]}], "/.", 
  RowBox[{"{", 
   RowBox[{"q", "->", 
    FractionBox["1", "\[Lambda]"]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.9022025324218073`*^9, 3.902202548334914*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"70566162-59c6-48ee-9d64-129d9cf11054"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   FractionBox["1", 
    SuperscriptBox["\[Lambda]", "2"]]], " ", 
  SuperscriptBox["qd", "2"], " ", "\[Lambda]", " ", 
  RowBox[{"Erfc", "[", 
   FractionBox["1", "\[Lambda]"], "]"}]}]], "Output",
 CellChangeTimes->{3.902202548988854*^9, 3.902480691361744*^9, 
  3.904205281507166*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"1c92b392-1cd5-46da-a528-223d39650ef7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Series", "[", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          FractionBox["1", 
           SuperscriptBox["\[Lambda]", "2"]]], " ", "\[Lambda]", " ", 
         RowBox[{"Erfc", "[", 
          FractionBox["1", "\[Lambda]"], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Lambda]", ",", "0", ",", "6"}], "}"}]}], "]"}], "//", 
      "Normal"}], ",", 
     RowBox[{"Assumptions", "->", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ">", "0"}], "}"}]}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", "->", 
     FractionBox["1", "q"]}], "}"}]}], "//", "Expand"}]], "Input",
 CellChangeTimes->{{3.902202608107002*^9, 3.902202697153228*^9}, {
  3.902217694674529*^9, 3.902217695189849*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"796e77d2-f82b-4a70-a20f-2b1bf7bb8fd5"],

Cell[BoxData[
 RowBox[{
  FractionBox["3", 
   RowBox[{"4", " ", 
    SqrtBox["\[Pi]"], " ", 
    SuperscriptBox["q", "6"]}]], "-", 
  FractionBox["1", 
   RowBox[{"2", " ", 
    SqrtBox["\[Pi]"], " ", 
    SuperscriptBox["q", "4"]}]], "+", 
  FractionBox["1", 
   RowBox[{
    SqrtBox["\[Pi]"], " ", 
    SuperscriptBox["q", "2"]}]]}]], "Output",
 CellChangeTimes->{{3.9022026240644703`*^9, 3.9022026976435227`*^9}, 
   3.9022176955021334`*^9, 3.902480691433489*^9, 3.9042052816471624`*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"6a0e3f99-f99a-4604-9eb1-cab5dfb56c3e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"q", " ", 
   SuperscriptBox["\[ExponentialE]", 
    SuperscriptBox["q", "2"]], 
   RowBox[{"Erfc", "[", "q", "]"}]}], "/.", 
  RowBox[{"{", 
   RowBox[{"q", "->", 
    FractionBox["1", "\[Lambda]"]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.9022160064756937`*^9, 3.902216010571426*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"70618c21-5497-499a-b1f1-76c64d598d56"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    FractionBox["1", 
     SuperscriptBox["\[Lambda]", "2"]]], " ", 
   RowBox[{"Erfc", "[", 
    FractionBox["1", "\[Lambda]"], "]"}]}], "\[Lambda]"]], "Output",
 CellChangeTimes->{3.902216011570737*^9, 3.9024806914524555`*^9, 
  3.9042052816822615`*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"f64b9ca5-cf41-4f58-aed6-86ccc84e41a1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Series", "[", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           FractionBox["1", 
            SuperscriptBox["\[Lambda]", "2"]]], " ", 
          RowBox[{"Erfc", "[", 
           FractionBox["1", "\[Lambda]"], "]"}]}], "\[Lambda]"], ",", 
        RowBox[{"{", 
         RowBox[{"\[Lambda]", ",", "0", ",", "6"}], "}"}]}], "]"}], "//", 
      "Normal"}], ",", 
     RowBox[{"Assumptions", "->", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ">", "0"}], "}"}]}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", "->", 
     FractionBox["1", "q"]}], "}"}]}], "//", "Expand"}]], "Input",
 CellChangeTimes->{3.9022160313331428`*^9, 3.9022174174061537`*^9},
 CellLabel->"In[45]:=",ExpressionUUID->"62e3c3fc-dd6c-4666-9a07-3a70a3a43623"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   SqrtBox["\[Pi]"]], "+", 
  FractionBox["3", 
   RowBox[{"4", " ", 
    SqrtBox["\[Pi]"], " ", 
    SuperscriptBox["q", "4"]}]], "-", 
  FractionBox["1", 
   RowBox[{"2", " ", 
    SqrtBox["\[Pi]"], " ", 
    SuperscriptBox["q", "2"]}]]}]], "Output",
 CellChangeTimes->{3.902216031987528*^9, 3.9022174179411497`*^9, 
  3.9024806914985714`*^9, 3.9042052817427807`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"46d3f17f-025a-441d-b8b9-63e714c0fca3"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Small momentum limit", "Subsubsection",
 CellChangeTimes->{{3.902206162264982*^9, 3.902206174149441*^9}, {
  3.902480711545215*^9, 
  3.9024807121463413`*^9}},ExpressionUUID->"c0f8f51e-2ccf-4eee-891e-\
a1a6cf7aec97"],

Cell["\<\
Small q, replace qd^2= qx^2cos(\[Eta])^2+qy^2sin(\[Eta])^2, and then qx=q \
cos(\[Eta]), qy = q sin(\[Eta])\
\>", "Text",
 CellChangeTimes->{{3.902205305079792*^9, 3.902205305969432*^9}, 
   3.902206143414604*^9, {3.902206219620907*^9, 
   3.9022063129362793`*^9}},ExpressionUUID->"dc945d09-54c6-41f0-bb7e-\
d96363dea68a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Cos", "[", "\[Eta]", "]"}], "4"], "+", 
     SuperscriptBox[
      RowBox[{"Sin", "[", "\[Eta]", "]"}], "4"]}], ")"}], 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{"q", " ", 
      SuperscriptBox["\[ExponentialE]", 
       SuperscriptBox["q", "2"]], 
      RowBox[{"Erfc", "[", "q", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"q", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "//", 
  "Normal"}]], "Input",
 CellChangeTimes->{{3.9022053469516196`*^9, 3.9022053830891285`*^9}, {
   3.902205423928773*^9, 3.902205427764455*^9}, {3.9022066357388887`*^9, 
   3.902206673655264*^9}, {3.9022074677524543`*^9, 3.902207476524296*^9}, 
   3.9022216317227983`*^9, {3.9024807324874763`*^9, 3.9024807515512104`*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"8c68a05d-2222-48c2-98ab-fffbf6f94f89"],

Cell[BoxData[
 RowBox[{
  RowBox[{"q", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Cos", "[", "\[Eta]", "]"}], "4"], "+", 
     SuperscriptBox[
      RowBox[{"Sin", "[", "\[Eta]", "]"}], "4"]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{"2", " ", 
    SuperscriptBox["q", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Cos", "[", "\[Eta]", "]"}], "4"], "+", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "\[Eta]", "]"}], "4"]}], ")"}]}], 
   SqrtBox["\[Pi]"]], "+", 
  RowBox[{
   SuperscriptBox["q", "3"], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Cos", "[", "\[Eta]", "]"}], "4"], "+", 
     SuperscriptBox[
      RowBox[{"Sin", "[", "\[Eta]", "]"}], "4"]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{"4", " ", 
    SuperscriptBox["q", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Cos", "[", "\[Eta]", "]"}], "4"], "+", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "\[Eta]", "]"}], "4"]}], ")"}]}], 
   RowBox[{"3", " ", 
    SqrtBox["\[Pi]"]}]]}]], "Output",
 CellChangeTimes->{{3.902205355784049*^9, 3.902205383549221*^9}, 
   3.9022054280192056`*^9, {3.9022066599868655`*^9, 3.902206674387089*^9}, {
   3.9022074682356157`*^9, 3.902207476751182*^9}, 3.9022216324976287`*^9, 
   3.9024806915671253`*^9, {3.90248074815749*^9, 3.9024807520916033`*^9}, 
   3.904205281774434*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"5b6f8065-09d1-429c-849b-87466a19dcb2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"q", " ", 
    SuperscriptBox["\[ExponentialE]", 
     SuperscriptBox["q", "2"]], 
    RowBox[{"Erfc", "[", "q", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"q", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.902205471210629*^9, 3.902205481291333*^9}, {
  3.9022216400025525`*^9, 3.9022216403080854`*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"5277fab4-2ad5-4f47-91cb-146f19862112"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"q", "-", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["q", "2"]}], 
    SqrtBox["\[Pi]"]], "+", 
   SuperscriptBox["q", "3"], "-", 
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["q", "4"]}], 
    RowBox[{"3", " ", 
     SqrtBox["\[Pi]"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "q", "]"}], "5"],
    SeriesData[$CellContext`q, 0, {}, 1, 5, 1],
    Editable->False]}],
  SeriesData[$CellContext`q, 0, {
   1, (-2) Pi^Rational[-1, 2], 1, Rational[-4, 3] Pi^Rational[-1, 2]}, 1, 5, 
   1],
  Editable->False]], "Output",
 CellChangeTimes->{{3.902205477222515*^9, 3.902205481503117*^9}, 
   3.902221641187851*^9, 3.9024806915887613`*^9, 3.904205281814487*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"84595553-094d-4135-9878-83c5df7ac7bc"]
}, Open  ]],

Cell["At q=0", "Text",
 CellChangeTimes->{{3.902547385111203*^9, 
  3.9025473876130495`*^9}},ExpressionUUID->"37884b64-69e0-4bc9-80a1-\
ab776c254250"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"q", " ", 
   SuperscriptBox["\[ExponentialE]", 
    SuperscriptBox["q", "2"]], 
   RowBox[{"Erfc", "[", "q", "]"}]}], "/.", 
  RowBox[{"{", 
   RowBox[{"q", "->", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.9025473986121063`*^9, 3.902547427405661*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"c8cf946c-feff-42bf-8d4e-2cf27c77f5ef"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.904205281855468*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"7baacfd9-20b2-46f4-94ad-8d91dd409ece"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"3", 
       SqrtBox["\[Pi]"], "q", " ", 
       SuperscriptBox["\[ExponentialE]", 
        SuperscriptBox["q", "2"]], 
       RowBox[{"Erfc", "[", "q", "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"q", "->", "0"}], "}"}]}], "]"}], "\[IndentingNewLine]", " ", 
   RowBox[{"Limit", "[", " ", 
    RowBox[{
     RowBox[{"2", "-", 
      RowBox[{"3", 
       SqrtBox["\[Pi]"], "q", " ", 
       SuperscriptBox["\[ExponentialE]", 
        SuperscriptBox["q", "2"]], 
       RowBox[{"Erfc", "[", "q", "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"q", "->", "0"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.902547499051283*^9, 3.9025475333407135`*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"6129d05b-758b-49ec-baa3-2aab995af674"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.902547535422279*^9, 3.9042052818700523`*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"ebccdb47-3c7e-4f15-89dc-0ffc87b1ee36"],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.902547535422279*^9, 3.904205281876095*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"ec1d61a1-c94f-4107-b96c-4cbae7121de7"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Integral", "Subsubsection",
 CellChangeTimes->{{3.9028098524851527`*^9, 
  3.9028098546228514`*^9}},ExpressionUUID->"614a6ee7-0ba4-4edb-93a1-\
ddf287b36bbe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    SqrtBox["\[Pi]"], 
    SuperscriptBox["q", "1"], " ", 
    SuperscriptBox["\[ExponentialE]", 
     SuperscriptBox["q", "2"]], 
    RowBox[{"Erfc", "[", "q", "]"}]}], ",", "q"}], "]"}]], "Input",
 CellChangeTimes->{{3.9028099349522543`*^9, 3.9028099793862205`*^9}, {
  3.902810715174445*^9, 3.902810715459875*^9}, {3.9028110176057444`*^9, 
  3.9028110546982827`*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"afae188b-b97e-4080-9a5e-527b5aff8d98"],

Cell[BoxData[
 RowBox[{
  SqrtBox["\[Pi]"], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["q", 
     SqrtBox["\[Pi]"]], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SuperscriptBox["\[ExponentialE]", 
      SuperscriptBox["q", "2"]], " ", 
     RowBox[{"Erfc", "[", "q", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.9028099509720697`*^9, 3.9028099802247095`*^9}, 
   3.9028107165652995`*^9, 3.902811018385852*^9, 3.902811055391238*^9, 
   3.9042052820121365`*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"a0018bce-3b69-4e36-beae-cd81626f1703"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    RowBox[{"3", 
     SqrtBox["\[Pi]"], "q", " ", 
     SuperscriptBox["\[ExponentialE]", 
      SuperscriptBox["q", "2"]], 
     RowBox[{"Erfc", "[", "q", "]"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"q", ",", "0", ",", "7000"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.902811582944643*^9, 3.9028116509546733`*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"79b6e95b-0c84-479c-8a6e-d7359e1450ea"],

Cell[BoxData[
 RowBox[{"-", "21000.00000000003`"}]], "Output",
 CellChangeTimes->{{3.9028115903691015`*^9, 3.9028116513164797`*^9}, 
   3.904205282185861*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"4be8ade7-55b9-4485-9a2c-974efdcdc689"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    RowBox[{"3", 
     SqrtBox["\[Pi]"], "q", " ", 
     SuperscriptBox["\[ExponentialE]", 
      SuperscriptBox["q", "2"]], 
     RowBox[{"Erfc", "[", "q", "]"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"q", ",", "0", ",", "25"}], "}"}], ",", 
   RowBox[{"PlotRange", "->", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9028107096811237`*^9, 3.902810758340803*^9}, {
  3.9028109530251503`*^9, 3.9028110398688173`*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"084bca4e-a6ef-404e-aadb-b99016eb6b7c"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV1nk4VVsfB/BNpiJkiCTJFK4MDa4G7XUN1cuNkiRDTo5yZJ6JdEimZCxx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       "]]},
     Annotation[#, "Charting`Private`Tag$118174#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.9028107295954633`*^9, 3.902810758876092*^9}, 
   3.9028109538581457`*^9, {3.9028109856339183`*^9, 3.902811010023751*^9}, 
   3.9028110405694714`*^9, 3.90420528226231*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"4a2dbf88-5068-450e-aef3-2dc79b4c78b5"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Two params", "Section",
 CellChangeTimes->{{3.902894844507482*^9, 
  3.902894847161629*^9}},ExpressionUUID->"1bbff0ee-6de9-4578-b58c-\
b5cffaaa4e8e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]", "[", "z_", "]"}], ":=", 
   RowBox[{
    SqrtBox[
     FractionBox["\[Nu]", 
      RowBox[{"2", 
       RowBox[{"Gamma", "[", 
        FractionBox["1", "\[Nu]"], "]"}], "\[ScriptL]"}]]], 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      FractionBox[
       RowBox[{"-", "1"}], "2"], 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"Abs", "[", "z", "]"}], "\[ScriptL]"], ")"}], 
       "\[Nu]"]}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]p", "[", "z_", "]"}], ":=", 
   RowBox[{
    SqrtBox[
     FractionBox["\[Nu]", 
      RowBox[{"2", 
       RowBox[{"Gamma", "[", 
        FractionBox["1", "\[Nu]"], "]"}], "\[ScriptL]"}]]], 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      FractionBox[
       RowBox[{"-", "1"}], "2"], 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox["z", "\[ScriptL]"], ")"}], "\[Nu]"]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]m", "[", "z_", "]"}], ":=", 
   RowBox[{
    SqrtBox[
     FractionBox["\[Nu]", 
      RowBox[{"2", 
       RowBox[{"Gamma", "[", 
        FractionBox["1", "\[Nu]"], "]"}], "\[ScriptL]"}]]], 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      FractionBox[
       RowBox[{"-", "1"}], "2"], 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"-", "z"}], "\[ScriptL]"], ")"}], "\[Nu]"]}]]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.902894859168487*^9, 3.902894878126099*^9}, 
   3.9028954347629786`*^9, {3.9028971069748597`*^9, 3.9028971261067142`*^9}, {
   3.9028971982859154`*^9, 3.9028972288963084`*^9}, 3.902898065608509*^9, {
   3.9031663626547585`*^9, 3.903166375453187*^9}, {3.903168324544772*^9, 
   3.90316834126965*^9}, {3.9031689518237896`*^9, 3.90316896027645*^9}, {
   3.90375695917257*^9, 3.90375699081649*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"4c972eb1-7c9e-4aca-89be-a1df696fd095"],

Cell["Normalization", "Text",
 CellChangeTimes->{{3.9031711826488295`*^9, 
  3.90317118413276*^9}},ExpressionUUID->"bcaaddec-e01d-4032-812b-\
90f3b8a864a2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"\[Psi]", "[", "z", "]"}], "2"], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Nu]", ">", "0"}], ",", 
      RowBox[{"\[ScriptL]", ">", "0"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9028973587959023`*^9, 3.9028974193404703`*^9}, {
  3.9028974667266417`*^9, 3.9028974739011154`*^9}, {3.903166381649366*^9, 
  3.9031663843547077`*^9}, {3.9037570118325243`*^9, 3.9037570166222334`*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"e3cd9c0f-0e18-479a-bff1-088b2a2e2f1e"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.90289746495352*^9, 3.9028974821213117`*^9}, {
   3.903166374753714*^9, 3.903166397816915*^9}, 3.9031701339272346`*^9, 
   3.903757008452368*^9, 3.903757048852085*^9, 3.9042052893021393`*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"c1043647-9e16-43dc-b229-535225513db4"]
}, Open  ]],

Cell["Kinetic Energy", "Text",
 CellChangeTimes->{{3.9031711876872873`*^9, 
  3.9031711899598923`*^9}},ExpressionUUID->"93683b0d-8fcc-4edb-9d26-\
2c2932609906"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Psi]p", "[", "z", "]"}], 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"\[Psi]p", "[", "z", "]"}], ",", "z", ",", "z"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
    RowBox[{"Assumptions", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Nu]", ">", "0"}], ",", 
       RowBox[{"\[ScriptL]", ">", "0"}]}], "}"}]}]}], "]"}], "+", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Psi]m", "[", "z", "]"}], 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"\[Psi]m", "[", "z", "]"}], ",", "z", ",", "z"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "\[Infinity]"}], ",", "0"}], "}"}], ",", 
    RowBox[{"Assumptions", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Nu]", ">", "0"}], ",", 
       RowBox[{"\[ScriptL]", ">", "0"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.903168452249035*^9, 3.903168453437743*^9}, {
  3.903168494169876*^9, 3.9031685060565195`*^9}, {3.903168966686706*^9, 
  3.903168992286359*^9}, {3.9031700413033724`*^9, 3.9031700606808357`*^9}, {
  3.9037570225424614`*^9, 3.903757024368224*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"3a18d74f-8c6f-4aa6-b7d2-1a4e484ee8b2"],

Cell[BoxData[
 TemplateBox[{
   RowBox[{"-", 
     FractionBox[
      RowBox[{
        SuperscriptBox["\[Nu]", "2"], " ", 
        RowBox[{"Gamma", "[", 
          RowBox[{"2", "-", 
            FractionBox["1", "\[Nu]"]}], "]"}]}], 
      RowBox[{"4", " ", 
        SuperscriptBox["\[ScriptL]", "2"], " ", 
        RowBox[{"Gamma", "[", 
          FractionBox["1", "\[Nu]"], "]"}]}]]}], 
   RowBox[{"\[Nu]", ">", "1"}]},
  "ConditionalExpression"]], "Output",
 CellChangeTimes->{3.9031684705428452`*^9, 3.9031685179641027`*^9, 
  3.9031690161009164`*^9, 3.9031700511478744`*^9, 3.903170082950799*^9, 
  3.9031701580827403`*^9, 3.903757070518567*^9, 3.904205310693554*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"4b32515e-050c-4410-84b7-58d9b583e445"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  FractionBox[
   SuperscriptBox["\[HBar]", "2"], 
   RowBox[{"2", "m"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"\[Psi]p", "[", "z", "]"}], ",", "z"}], "]"}], 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"\[Psi]p", "[", "z", "]"}], ",", "z"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
      RowBox[{"Assumptions", "->", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Nu]", ">", "0"}], ",", 
         RowBox[{"\[ScriptL]", ">", "0"}]}], "}"}]}]}], "]"}], "+", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"\[Psi]m", "[", "z", "]"}], ",", "z"}], "]"}], 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"\[Psi]m", "[", "z", "]"}], ",", "z"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"-", "\[Infinity]"}], ",", "0"}], "}"}], ",", 
      RowBox[{"Assumptions", "->", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Nu]", ">", "0"}], ",", 
         RowBox[{"\[ScriptL]", ">", "0"}]}], "}"}]}]}], "]"}]}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.9037567690533867`*^9, 3.9037568172138567`*^9}, {
  3.9037569086776795`*^9, 3.9037569343523784`*^9}, {3.9037570266900177`*^9, 
  3.9037570285924535`*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"3cb469fe-fd3e-480e-99a3-383578706bf0"],

Cell[BoxData[
 TemplateBox[{
   FractionBox[
    RowBox[{
      SuperscriptBox["\[Nu]", "2"], " ", 
      SuperscriptBox["\[HBar]", "2"], " ", 
      RowBox[{"Gamma", "[", 
        RowBox[{"2", "-", 
          FractionBox["1", "\[Nu]"]}], "]"}]}], 
    RowBox[{"8", " ", "m", " ", 
      SuperscriptBox["\[ScriptL]", "2"], " ", 
      RowBox[{"Gamma", "[", 
        FractionBox["1", "\[Nu]"], "]"}]}]], 
   RowBox[{"\[Nu]", ">", 
     FractionBox["1", "2"]}]},
  "ConditionalExpression"]], "Output",
 CellChangeTimes->{
  3.903756776382968*^9, 3.903756829647122*^9, {3.9037569253368144`*^9, 
   3.90375694354834*^9}, 3.903757080382044*^9, 3.9042053202979603`*^9},
 CellLabel->"Out[59]=",ExpressionUUID->"7036e37a-1332-4f0b-bc9c-349f26cf5362"]
}, Open  ]],

Cell["Potential Energy", "Text",
 CellChangeTimes->{{3.903171198000579*^9, 
  3.903171200927199*^9}},ExpressionUUID->"1384ff2b-cd3b-4bea-92b4-\
524d1fdd9ac6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], "m", " ", 
  SuperscriptBox["\[Omega]", "2"], " ", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["z", "2"], 
     SuperscriptBox[
      RowBox[{"\[Psi]", "[", "z", "]"}], "2"]}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
    RowBox[{"Assumptions", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Nu]", ">", "0"}], ",", 
       RowBox[{"\[ScriptL]", ">", "0"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.903171167833564*^9, 3.9031711704489403`*^9}, {
  3.9037570319420843`*^9, 3.9037570322323647`*^9}, {3.903760745283804*^9, 
  3.903760751127271*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"4f5c4a55-ff8c-4d2e-af9d-9e3995ba884d"],

Cell[BoxData[
 FractionBox[
  RowBox[{"m", " ", 
   SuperscriptBox["\[ScriptL]", "2"], " ", 
   SuperscriptBox["\[Omega]", "2"], " ", 
   RowBox[{"Gamma", "[", 
    FractionBox["3", "\[Nu]"], "]"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"Gamma", "[", 
    FractionBox["1", "\[Nu]"], "]"}]}]]], "Output",
 CellChangeTimes->{3.903171184921509*^9, 3.9037570874519267`*^9, 
  3.9037607598511887`*^9, 3.904205327236451*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"8f993131-604b-4d78-ac92-03b9d4b7d856"]
}, Open  ]],

Cell["Contact interactions", "Text",
 CellChangeTimes->{{3.903171727029617*^9, 
  3.903171729830041*^9}},ExpressionUUID->"127c4ebc-9c46-4482-9f57-\
7dba64f47a32"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"\[Psi]", "[", "z", "]"}], "4"], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Nu]", ">", "0"}], ",", 
      RowBox[{"\[ScriptL]", ">", "0"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.903171563695135*^9, 3.9031715656474524`*^9}, 
   3.903757034932496*^9},
 CellLabel->"In[61]:=",ExpressionUUID->"b7391b5f-6190-4094-90d1-93da75cb6dd6"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["2", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     FractionBox["1", "\[Nu]"]}]], " ", "\[Nu]"}], 
  RowBox[{"\[ScriptL]", " ", 
   RowBox[{"Gamma", "[", 
    FractionBox["1", "\[Nu]"], "]"}]}]]], "Output",
 CellChangeTimes->{3.90317157334241*^9, 3.9037570945065703`*^9, 
  3.904205334122471*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"246fd80e-9c92-4900-9b90-6f0d96a8bba4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"\[Psi]", "[", "z", "]"}], "5"], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Nu]", ">", "0"}], ",", 
      RowBox[{"\[ScriptL]", ">", "0"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.903171750390567*^9, 3.903171775549729*^9}, 
   3.903757036473218*^9},
 CellLabel->"In[62]:=",ExpressionUUID->"6da94ff5-fdb7-4b8c-99f5-88e9cff263b4"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["2", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["3", "2"]}], "+", 
    FractionBox["1", "\[Nu]"]}]], " ", 
  SuperscriptBox["5", 
   RowBox[{
    RowBox[{"-", "1"}], "/", "\[Nu]"}]], " ", "\[ScriptL]", " ", 
  RowBox[{"Gamma", "[", 
   RowBox[{"1", "+", 
    FractionBox["1", "\[Nu]"]}], "]"}], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    FractionBox["\[Nu]", 
     RowBox[{"\[ScriptL]", " ", 
      RowBox[{"Gamma", "[", 
       FractionBox["1", "\[Nu]"], "]"}]}]], ")"}], 
   RowBox[{"5", "/", "2"}]]}]], "Output",
 CellChangeTimes->{3.9037573265723934`*^9, 3.904205341211859*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"35d02c6f-ff32-40b3-ab6c-9525c58a66fb"]
}, Open  ]],

Cell["DDI", "Text",
 CellChangeTimes->{{3.9035115110532484`*^9, 
  3.90351151137818*^9}},ExpressionUUID->"65a3eb1a-12cf-4607-b9fe-\
116107c90b60"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[CurlyPhi]", "[", "z", "]"}]], "Input",
 CellLabel->"In[63]:=",ExpressionUUID->"e3966bbb-ff08-4e57-b839-737b54dae650"],

Cell[BoxData[
 FractionBox[
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{"-", 
    FractionBox[
     SuperscriptBox["z", "2"], 
     RowBox[{"2", " ", 
      SuperscriptBox["\[ScriptL]", "2"]}]]}]], 
  RowBox[{
   SuperscriptBox["\[Pi]", 
    RowBox[{"1", "/", "4"}]], " ", 
   SqrtBox["\[ScriptL]"]}]]], "Output",
 CellChangeTimes->{3.903511513173251*^9, 3.903511952285604*^9, 
  3.904205341251959*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"36b211fa-ad3e-4242-ad54-e9c2fa614ad8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"FourierTransform", "[", 
    RowBox[{
     RowBox[{"\[CurlyPhi]", "[", "z", "]"}], ",", "z", ",", "k"}], "]"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"\[ScriptL]", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9035114706134553`*^9, 3.903511501493664*^9}, {
  3.9035117218924956`*^9, 3.903511725267535*^9}, {3.9035122186734905`*^9, 
  3.9035122346125555`*^9}, {3.9035126713296995`*^9, 3.9035126716354747`*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"4d073a7f-09a9-4cb4-915e-ee2f57cbe115"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "2"]}], " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[ScriptL]", "2"]}]], " ", 
   SqrtBox["\[ScriptL]"]}], 
  SuperscriptBox["\[Pi]", 
   RowBox[{"1", "/", "4"}]]]], "Output",
 CellChangeTimes->{
  3.903511501956271*^9, 3.9035117259086266`*^9, 3.9035119219371843`*^9, 
   3.9035122354289217`*^9, {3.903512672444536*^9, 3.9035126934548054`*^9}, 
   3.90351288987395*^9, 3.904205341283822*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"50409805-d978-429b-b7e7-261632193cb9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 SuperscriptBox[
  RowBox[{"(", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[ScriptL]", "2"]}]], " ", 
     SqrtBox["\[ScriptL]"]}], 
    SuperscriptBox["\[Pi]", 
     RowBox[{"1", "/", "4"}]]], ")"}], "2"]], "Input",
 CellChangeTimes->{{3.903513162458045*^9, 3.9035131655013747`*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"d4f9e174-8f32-4619-9dca-4aebd95c1898"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["k", "2"]}], " ", 
     SuperscriptBox["\[ScriptL]", "2"]}]], " ", "\[ScriptL]"}], 
  SqrtBox["\[Pi]"]]], "Output",
 CellChangeTimes->{3.9035131657790813`*^9, 3.904205341311735*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"9528048e-6c11-49e1-b922-5bf2a281746d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["k", "2"]}], " ", 
       SuperscriptBox["\[ScriptL]", "2"]}]], " ", "\[ScriptL]"}], 
    SqrtBox["\[Pi]"]], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{"\[ScriptL]", ">", "0"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9035122734849815`*^9, 3.9035122865725465`*^9}, 
   3.903513628471201*^9},
 CellLabel->"In[66]:=",ExpressionUUID->"01aeff18-5008-40e8-a5e7-01247222256c"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.9035122871108103`*^9, 3.903513628981624*^9, 
  3.9042053414699197`*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"9d98d104-2144-46f1-b45f-a36ff746a67d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Integrate", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["k", "2"]}], " ", 
       SuperscriptBox["\[ScriptL]", "2"]}]], " ", "\[ScriptL]"}], 
    SqrtBox["\[Pi]"]], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{"\[ScriptL]", ">", "0"}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Integrate", "[", 
  RowBox[{
   FractionBox[
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "4"]}], " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[ScriptL]", "2"]}]], 
    RowBox[{
     SqrtBox[
      RowBox[{"2", " ", "\[Pi]"}]], " ", 
     SqrtBox[
      FractionBox["1", 
       SuperscriptBox["\[ScriptL]", "2"]]], " ", "\[ScriptL]"}]], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{"\[ScriptL]", ">", "0"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.9035116727530003`*^9, 3.903511749852813*^9}, 
   3.9035119368220053`*^9},
 CellLabel->"In[67]:=",ExpressionUUID->"6a53de0e-9864-4520-bb42-e647c9844550"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.9035116897277355`*^9, 3.9035117071429124`*^9}, {
   3.9035117400128126`*^9, 3.903511750672613*^9}, 3.903511887762186*^9, 
   3.903511937702194*^9, 3.904205341601987*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"38ee63b6-1a12-4f19-8884-3bcf9832c470"],

Cell[BoxData[
 FractionBox[
  SqrtBox["2"], "\[ScriptL]"]], "Output",
 CellChangeTimes->{{3.9035116897277355`*^9, 3.9035117071429124`*^9}, {
   3.9035117400128126`*^9, 3.903511750672613*^9}, 3.903511887762186*^9, 
   3.903511937702194*^9, 3.9042053417919455`*^9},
 CellLabel->"Out[68]=",ExpressionUUID->"9039018c-112a-4174-8ec1-91f9b5c68088"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[Nu]", "2"], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"2", "-", 
          FractionBox["1", "\[Nu]"]}], "]"}]}], 
       RowBox[{"8", 
        SuperscriptBox["\[ScriptL]", "2"], " ", 
        RowBox[{"Gamma", "[", 
         FractionBox["1", "\[Nu]"], "]"}]}]], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["444", "100"], ")"}], "2"], 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ScriptL]", "2"], " ", 
         RowBox[{"Gamma", "[", 
          FractionBox["3", "\[Nu]"], "]"}]}], 
        RowBox[{"2", " ", 
         RowBox[{"Gamma", "[", 
          FractionBox["1", "\[Nu]"], "]"}]}]]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Nu]", ",", "0.5", ",", "16"}], "}"}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", 
       RowBox[{"0", ",", "10"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[ScriptL]", ",", "0.2", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9037579800864506`*^9, 3.9037580052779274`*^9}, {
   3.9040153907489767`*^9, 3.9040154068622365`*^9}, 3.904015662949519*^9, 
   3.904018110318185*^9, {3.9040181443631954`*^9, 3.904018181517435*^9}, {
   3.904021675430072*^9, 3.904021697301139*^9}, {3.904021728660365*^9, 
   3.90402176036587*^9}, {3.9040218184679475`*^9, 3.90402181912388*^9}, {
   3.904021852892541*^9, 3.904021872595974*^9}, {3.9040219319324074`*^9, 
   3.904021945908239*^9}, {3.904031030063139*^9, 3.904031041188092*^9}, 
   3.9040318719384165`*^9, {3.908532636717904*^9, 3.9085326370692673`*^9}},
 CellLabel->
  "In[621]:=",ExpressionUUID->"723be611-be49-483a-ad8a-441fa9d7bf69"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[ScriptL]$$ = 2.2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[ScriptL]$$], 0.2, 5}}, Typeset`size$$ = {
    360., {116., 121.5687270477865}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[ScriptL]$$ = 0.2}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`\[Nu]^2 Gamma[2 - 1/$CellContext`\[Nu]]/(
         8 $CellContext`\[ScriptL]$$^2 
         Gamma[1/$CellContext`\[Nu]]) + (444/
           100)^2 ($CellContext`\[ScriptL]$$^2 Gamma[3/$CellContext`\[Nu]]/(2 
          Gamma[1/$CellContext`\[Nu]])), {$CellContext`\[Nu], 0.5, 16}, 
        PlotRange -> {0, 10}], 
      "Specifications" :> {{$CellContext`\[ScriptL]$$, 0.2, 5}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{408., {169.63403309800196`, 175.36596690199804`}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.903757998008401*^9, 3.903758005828832*^9}, 
   3.9040154082262836`*^9, 3.904018110770262*^9, {3.904018157760903*^9, 
   3.904018181810114*^9}, {3.9040217327296658`*^9, 3.9040217647651725`*^9}, {
   3.9040218197346983`*^9, 3.9040218731689515`*^9}, {3.904021905059577*^9, 
   3.904021948837756*^9}, {3.9040310324845*^9, 3.904031041489113*^9}, {
   3.904031863314928*^9, 3.904031875089198*^9}, 3.90420534183388*^9, 
   3.9071437546980915`*^9, {3.9085326297381015`*^9, 3.9085326413588085`*^9}},
 CellLabel->
  "Out[621]=",ExpressionUUID->"9207aec3-4845-4b96-89e9-83e01c2b896d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["\[Nu]", "2"], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"2", "-", 
        FractionBox["1", "\[Nu]"]}], "]"}]}], 
     RowBox[{"8", " ", 
      SuperscriptBox["\[ScriptL]", "2"], 
      RowBox[{"Gamma", "[", 
       FractionBox["1", "\[Nu]"], "]"}]}]], "+", 
    RowBox[{"gz", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ScriptL]", "2"], " ", 
       RowBox[{"Gamma", "[", 
        FractionBox["3", "\[Nu]"], "]"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"Gamma", "[", 
        FractionBox["1", "\[Nu]"], "]"}]}]]}]}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[ScriptL]", "->", "4"}], ",", 
     RowBox[{"\[Nu]", "->", "6"}], ",", 
     RowBox[{"gz", "->", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox["167", "100"], ")"}], "2"]}]}], "}"}]}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.904015671411051*^9, 3.904015680065238*^9}, {
  3.9040160374829674`*^9, 3.9040160833272357`*^9}, {3.904016177061512*^9, 
  3.9040162060628233`*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"697a395a-ba66-473c-87a6-74f4303a4f19"],

Cell[BoxData["7.151971215023665`"], "Output",
 CellChangeTimes->{{3.9040160797067595`*^9, 3.904016083681031*^9}, 
   3.90401620687088*^9, 3.904205341951989*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"77fc2032-4674-459e-97f6-f0f78f814e86"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["\[Nu]", "2"], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"2", "-", 
        FractionBox["1", "\[Nu]"]}], "]"}]}], 
     RowBox[{"8", 
      SuperscriptBox["\[ScriptL]", "2"], " ", 
      RowBox[{"Gamma", "[", 
       FractionBox["1", "\[Nu]"], "]"}]}]], "+", 
    RowBox[{
     SuperscriptBox["g", "2"], 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ScriptL]", "2"], " ", 
       RowBox[{"Gamma", "[", 
        FractionBox["3", "\[Nu]"], "]"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"Gamma", "[", 
        FractionBox["1", "\[Nu]"], "]"}]}]]}]}], ",", "\[Nu]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.9040220007020397`*^9, 3.9040220425643816`*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"6d5bd50a-676e-4249-a5ef-f564cf228c1b"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Nu]", " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"2", "-", 
      FractionBox["1", "\[Nu]"]}], "]"}]}], 
   RowBox[{"4", " ", 
    SuperscriptBox["\[ScriptL]", "2"], " ", 
    RowBox[{"Gamma", "[", 
     FractionBox["1", "\[Nu]"], "]"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"Gamma", "[", 
     RowBox[{"2", "-", 
      FractionBox["1", "\[Nu]"]}], "]"}], " ", 
    RowBox[{"PolyGamma", "[", 
     RowBox[{"0", ",", 
      RowBox[{"2", "-", 
       FractionBox["1", "\[Nu]"]}]}], "]"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox["\[ScriptL]", "2"], " ", 
    RowBox[{"Gamma", "[", 
     FractionBox["1", "\[Nu]"], "]"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"Gamma", "[", 
     RowBox[{"2", "-", 
      FractionBox["1", "\[Nu]"]}], "]"}], " ", 
    RowBox[{"PolyGamma", "[", 
     RowBox[{"0", ",", 
      FractionBox["1", "\[Nu]"]}], "]"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox["\[ScriptL]", "2"], " ", 
    RowBox[{"Gamma", "[", 
     FractionBox["1", "\[Nu]"], "]"}]}]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["g", "2"], " ", 
    SuperscriptBox["\[ScriptL]", "2"], " ", 
    RowBox[{"Gamma", "[", 
     FractionBox["3", "\[Nu]"], "]"}], " ", 
    RowBox[{"PolyGamma", "[", 
     RowBox[{"0", ",", 
      FractionBox["1", "\[Nu]"]}], "]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Nu]", "2"], " ", 
    RowBox[{"Gamma", "[", 
     FractionBox["1", "\[Nu]"], "]"}]}]], "-", 
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox["g", "2"], " ", 
    SuperscriptBox["\[ScriptL]", "2"], " ", 
    RowBox[{"Gamma", "[", 
     FractionBox["3", "\[Nu]"], "]"}], " ", 
    RowBox[{"PolyGamma", "[", 
     RowBox[{"0", ",", 
      FractionBox["3", "\[Nu]"]}], "]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Nu]", "2"], " ", 
    RowBox[{"Gamma", "[", 
     FractionBox["1", "\[Nu]"], "]"}]}]]}]], "Output",
 CellChangeTimes->{{3.904022014991282*^9, 3.904022043084114*^9}, 
   3.904205341961955*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"b096db87-dddf-4a2e-b18c-ce4e92d8dfee"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Thomas Fermi profile", "Section",
 CellChangeTimes->{{3.903762570262479*^9, 
  3.903762575228878*^9}},ExpressionUUID->"e1d6e495-5976-4391-b593-\
7f69d8e5855e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Zeta]", "[", 
    RowBox[{"z_", ",", "Z_"}], "]"}], ":=", 
   RowBox[{
    FractionBox[
     SqrtBox["15"], 
     RowBox[{"4", 
      SqrtBox["Z"]}]], 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox["z", "Z"], ")"}], "2"]}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.9037626622134466`*^9, 3.9037627026855826`*^9}, 
   3.9037627566943755`*^9, {3.9037707139542675`*^9, 3.9037707169940004`*^9}, {
   3.90377076094578*^9, 3.9037708295942802`*^9}, {3.903770954386223*^9, 
   3.9037709595293856`*^9}, {3.9037710061863194`*^9, 
   3.9037710067421055`*^9}, {3.907142709838716*^9, 3.9071427110073857`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"1efe599f-cecd-40d1-a2c9-8cb0bcc73119"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"\[Zeta]", "[", 
     RowBox[{"z", ",", "Z"}], "]"}], "2"], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "Z"}], ",", "Z"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{"Z", ">", "0"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.903762704935471*^9, 3.903762744764866*^9}, {
  3.9037706356035056`*^9, 3.903770640416415*^9}, {3.903770811475274*^9, 
  3.903770811673686*^9}, {3.903771009466093*^9, 3.9037710106972585`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"9a0f8de1-0801-45e5-9dff-dbe70551ed0e"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.903762730707665*^9, 3.9037627614602633`*^9}, 
   3.9037706415832872`*^9, 3.903770719398357*^9, {3.9037707645877476`*^9, 
   3.9037708325036955`*^9}, 3.903770963529304*^9, 3.9037710118789163`*^9, 
   3.904041922809969*^9, 3.904205342582155*^9, 3.906784173635762*^9, 
   3.906792951046997*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"0d82ad42-9787-43d7-98fb-033343f967a4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[CurlyPhi]", "[", "z", "]"}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"366ee2ce-9b72-4a3e-a981-fbec08b76039"],

Cell[BoxData[
 RowBox[{"\[CurlyPhi]", "[", "z", "]"}]], "Output",
 CellChangeTimes->{3.9042061508372746`*^9, 3.9067841750954037`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"10d85da5-5fe9-40f1-94bf-dc82d1610e6b"]
}, Open  ]],

Cell["Beyond TF", "Text",
 CellChangeTimes->{{3.907142290051381*^9, 
  3.9071422925787*^9}},ExpressionUUID->"5806d104-c01a-4cca-85b5-f1059085d092"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"BTF", "[", 
    RowBox[{"z_", ",", "Z_", ",", "Q_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox[
       RowBox[{"4", 
        SuperscriptBox["Q", "2"], " ", "Z"}], 
       RowBox[{"1", "+", 
        RowBox[{"3", " ", "Q"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["Q", "2"]}]}]], ")"}], 
     RowBox[{
      RowBox[{"-", "1"}], "/", "2"}]], 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox["z", "Z"], ")"}], "Q"]}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.90714229992328*^9, {3.907142364105479*^9, 3.907142393827484*^9}, {
   3.9071425776977634`*^9, 3.907142583857772*^9}, {3.9071430654127645`*^9, 
   3.907143218429182*^9}},
 CellLabel->
  "In[138]:=",ExpressionUUID->"67af1419-14b8-4e07-b6b7-84a8b82b7403"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"BTF", "[", 
     RowBox[{"z", ",", "Z", ",", "Q"}], "]"}], "2"], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", "0", ",", "Z"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Z", ">", "0"}], ",", 
      RowBox[{"Q", ">", "0"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.907142403257475*^9, {3.9071425058575015`*^9, 3.907142519570988*^9}, {
   3.907142562180019*^9, 3.907142564827218*^9}, {3.90714262914855*^9, 
   3.907142649140329*^9}, {3.9071430677162476`*^9, 3.907143070687871*^9}},
 CellLabel->
  "In[139]:=",ExpressionUUID->"861d1a5e-4778-4d89-bce1-9727e0de0e58"],

Cell[BoxData[
 FractionBox["1", "2"]], "Output",
 CellChangeTimes->{{3.9071425401576757`*^9, 3.9071425688390074`*^9}, {
   3.9071426365456047`*^9, 3.9071426504094305`*^9}, 3.907143072652562*^9, {
   3.907143103658015*^9, 3.9071431206175685`*^9}, {3.907143171388029*^9, 
   3.907143221027793*^9}},
 CellLabel->
  "Out[139]=",ExpressionUUID->"ab49be0a-f594-4302-8380-9496045fd379"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"\[Zeta]", "[", 
          RowBox[{"z", ",", "Z"}], "]"}], "2"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"HeavisideTheta", "[", 
           RowBox[{"z", "+", "Z"}], "]"}], "-", 
          RowBox[{"HeavisideTheta", "[", 
           RowBox[{"z", "-", "Z"}], "]"}]}], ")"}]}], ",", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"BTF", "[", 
          RowBox[{
           RowBox[{"Abs", "[", "z", "]"}], ",", "Z", ",", "Q"}], "]"}], "2"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"HeavisideTheta", "[", 
           RowBox[{"z", "+", "Z"}], "]"}], "-", 
          RowBox[{"HeavisideTheta", "[", 
           RowBox[{"z", "-", "Z"}], "]"}]}], ")"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", 
       RowBox[{"0", ",", "3"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"Z", ",", "0.2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Q", ",", "2", ",", "8"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9037708407972116`*^9, 3.9037709387677326`*^9}, {
   3.903770975499156*^9, 3.903771037641198*^9}, {3.904206129571617*^9, 
   3.9042061389324107`*^9}, {3.9071426079556603`*^9, 
   3.9071426108999014`*^9}, {3.9071426781398926`*^9, 3.907142684955888*^9}, {
   3.9071427171169233`*^9, 3.9071428179159737`*^9}, {3.9071428913404317`*^9, 
   3.907142966757444*^9}, {3.9071429978510113`*^9, 3.9071430039556646`*^9}, 
   3.907143239372691*^9},
 CellLabel->
  "In[142]:=",ExpressionUUID->"1d7abe0c-b177-452d-99dc-e288f5d8700e"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`Q$$ = 8., $CellContext`Z$$ = 1.805, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`Z$$], 0.2, 3}, {
      Hold[$CellContext`Q$$], 2, 8}}, Typeset`size$$ = {
    360., {118., 123.63201446121221`}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`Q$$ = 2, $CellContext`Z$$ = 0.2}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{$CellContext`\[Zeta][$CellContext`z, $CellContext`Z$$]^2 (
          HeavisideTheta[$CellContext`z + $CellContext`Z$$] - 
          HeavisideTheta[$CellContext`z - $CellContext`Z$$]), $CellContext`BTF[
            Abs[$CellContext`z], $CellContext`Z$$, $CellContext`Q$$]^2 (
          HeavisideTheta[$CellContext`z + $CellContext`Z$$] - 
          HeavisideTheta[$CellContext`z - $CellContext`Z$$])}, \
{$CellContext`z, -3, 3}, PlotRange -> {0, 3}], 
      "Specifications" :> {{$CellContext`Z$$, 0.2, 3}, {$CellContext`Q$$, 2, 
         8}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{408., {173.63403309800196`, 179.36596690199804`}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.9037708613554316`*^9, 3.903770890521044*^9}, {
   3.9037709391939387`*^9, 3.9037709412350597`*^9}, {3.9037709771549864`*^9, 
   3.9037710380959606`*^9}, 3.9040419256197324`*^9, 3.9042053426219883`*^9, 
   3.904206139279717*^9, {3.9071426870772142`*^9, 3.9071426917650003`*^9}, {
   3.9071427258451967`*^9, 3.9071428185875015`*^9}, {3.9071428944900312`*^9, 
   3.9071429264106746`*^9}, {3.9071429611954145`*^9, 3.907142967273431*^9}, {
   3.9071430045877886`*^9, 3.9071430122947116`*^9}, {3.907143232249821*^9, 
   3.907143239685584*^9}, 3.9071433606044364`*^9},
 CellLabel->
  "Out[142]=",ExpressionUUID->"e19666f6-c742-4ad2-8ab5-3b6859a2c4be"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["2D profiles", "Section",
 CellChangeTimes->{{3.906804152130148*^9, 
  3.906804154330226*^9}},ExpressionUUID->"d904f7a6-0fb2-4068-b075-\
6e7ad558d961"],

Cell["Thomas-Fermi", "Text",
 CellChangeTimes->{{3.906804162528976*^9, 
  3.9068041665263968`*^9}},ExpressionUUID->"f2deb6ba-1000-455b-9071-\
3aca7017d334"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Zeta]2D", "[", 
    RowBox[{"x_", ",", "X_", ",", "y_", ",", "Y_"}], "]"}], ":=", 
   RowBox[{
    SqrtBox[
     FractionBox["3", 
      RowBox[{"\[Pi]", " ", "X", " ", "Y"}]]], 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox["x", "X"], ")"}], "2"], "-", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox["y", "Y"], ")"}], "2"]}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.906793021873127*^9, 3.9067930569812183`*^9}, {
  3.9067932010518456`*^9, 3.906793206137231*^9}, {3.906793257938157*^9, 
  3.90679331053093*^9}, {3.9067933480800977`*^9, 3.9067933518566628`*^9}, {
  3.9068012041294165`*^9, 3.906801213714743*^9}, {3.906802833069143*^9, 
  3.9068028333281493`*^9}, {3.906804249348206*^9, 3.9068042648706474`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"6ab86ec7-b7c9-4083-9c0e-5fb28df9f6aa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"\[Zeta]2D", "[", 
     RowBox[{"x", ",", "X", ",", "y", ",", "Y"}], "]"}], "2"], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "X"}], ",", "X"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "Y"}], 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], 
         SuperscriptBox["X", "2"]]}]]}], ",", 
     RowBox[{"Y", 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], 
         SuperscriptBox["X", "2"]]}]]}]}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"X", ">", "0"}], ",", 
      RowBox[{"Y", ">", "0"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9067932896616187`*^9, 3.9067933319153056`*^9}, {
  3.90680263401425*^9, 3.9068026435225534`*^9}, {3.9068027311303196`*^9, 
  3.9068027549861193`*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"9f1e04bb-dc6f-40c5-bc63-52c55b56b688"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.906793332628069*^9, 3.906793355482314*^9}, {
   3.9068012099091945`*^9, 3.9068012191343956`*^9}, 3.906802759192046*^9, 
   3.9068028395715756`*^9, 3.906802884824321*^9, 3.906804270715906*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"a3ea3204-66f5-42ff-88ad-79126f80429d"]
}, Open  ]],

Cell["Gaussian", "Text",
 CellChangeTimes->{{3.9068041739126716`*^9, 
  3.9068041786426134`*^9}},ExpressionUUID->"ba9091a7-231b-4e70-a7c4-\
db4d6aa916a6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[CurlyPhi]xy", "[", 
    RowBox[{"x_", ",", "\[ScriptL]x_", ",", "y_", ",", "\[ScriptL]y_"}], 
    "]"}], ":=", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["\[ScriptL]x"], 
      SuperscriptBox["\[Pi]", 
       RowBox[{"1", "/", "4"}]]}]], 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["x", "2"]}], "/", 
      RowBox[{"(", 
       RowBox[{"2", 
        SuperscriptBox["\[ScriptL]x", "2"]}], ")"}]}]], 
    FractionBox["1", 
     RowBox[{
      SqrtBox["\[ScriptL]y"], 
      SuperscriptBox["\[Pi]", 
       RowBox[{"1", "/", "4"}]]}]], 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["y", "2"]}], "/", 
      RowBox[{"(", 
       RowBox[{"2", 
        SuperscriptBox["\[ScriptL]y", "2"]}], ")"}]}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.9067944755020027`*^9, 3.906794560109053*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"0c4af6e9-8729-44af-8996-2d1afe03cf3a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"\[CurlyPhi]xy", "[", 
     RowBox[{"x", ",", "\[ScriptL]x", ",", "y", ",", "\[ScriptL]y"}], "]"}], 
    "2"], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[ScriptL]x", ">", "0"}], ",", 
      RowBox[{"\[ScriptL]y", ">", "0"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9067945529239173`*^9, 3.906794628483655*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"6755f202-329f-408a-afe2-685fcf6de27f"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.90679461345242*^9, 3.906794629420287*^9}},
 CellLabel->"Out[18]=",ExpressionUUID->"372084a9-862c-440c-902b-f05062158c0f"]
}, Open  ]],

Cell["Quartic", "Text",
 CellChangeTimes->{{3.9068041855380893`*^9, 
  3.9068041864099674`*^9}},ExpressionUUID->"367876d1-5218-4370-b0b3-\
1d70d8ac1305"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Qxy", "[", 
    RowBox[{"x_", ",", "\[ScriptL]x_", ",", "y_", ",", "\[ScriptL]y_"}], 
    "]"}], ":=", 
   RowBox[{
    FractionBox["1", 
     SqrtBox[
      RowBox[{"4", " ", "\[ScriptL]x", " ", "\[ScriptL]y", " ", 
       SuperscriptBox[
        RowBox[{"Gamma", "[", 
         FractionBox["5", "4"], "]"}], "2"]}]]], 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["x", "4"]}], "/", 
      RowBox[{"(", 
       RowBox[{"2", 
        SuperscriptBox["\[ScriptL]x", "4"]}], ")"}]}]], 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["y", "4"]}], "/", 
      RowBox[{"(", 
       RowBox[{"2", 
        SuperscriptBox["\[ScriptL]y", "4"]}], ")"}]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"Qxy", "[", 
     RowBox[{"x", ",", "\[ScriptL]x", ",", "y", ",", "\[ScriptL]y"}], "]"}], 
    "2"], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[ScriptL]x", ">", "0"}], ",", 
      RowBox[{"\[ScriptL]y", ">", "0"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.906804203492876*^9, 3.9068042312572727`*^9}, {
  3.9068043048876095`*^9, 3.9068043069332705`*^9}, {3.907038528695054*^9, 
  3.9070385348870926`*^9}},ExpressionUUID->"fb2abd77-6219-496a-a3a1-\
2e96666d7e5a"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.9068042320968857`*^9, 3.9068042735604277`*^9, 
  3.906804307803901*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"ae4ae0b1-ae27-4fb5-948d-7b5e1676d018"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Integrate", "[", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Qxy", "[", 
      RowBox[{"x", ",", "26", ",", "y", ",", "26"}], "]"}], "2"], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "50"}], ",", "50"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "50"}], ",", "50"}], "}"}], ",", 
    RowBox[{"Assumptions", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[ScriptL]x", ">", "0"}], ",", 
       RowBox[{"\[ScriptL]y", ">", "0"}]}], "}"}]}]}], "]"}], "//", 
  "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Integrate", "[", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Qxy", "[", 
      RowBox[{"x", ",", "30", ",", "y", ",", "30"}], "]"}], "2"], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "50"}], ",", "50"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "50"}], ",", "50"}], "}"}], ",", 
    RowBox[{"Assumptions", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[ScriptL]x", ">", "0"}], ",", 
       RowBox[{"\[ScriptL]y", ">", "0"}]}], "}"}]}]}], "]"}], "//", 
  "N"}]}], "Input",
 CellChangeTimes->{{3.906807117574005*^9, 3.9068071523998594`*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"5f6d3827-7a38-4734-b251-dfee6d065641"],

Cell[BoxData["0.9999999152618944`"], "Output",
 CellChangeTimes->{{3.9068071355755277`*^9, 3.9068071530600395`*^9}},
 CellLabel->"Out[53]=",ExpressionUUID->"71f8ac45-f6c8-4b58-aa39-c1e5a4cd2330"],

Cell[BoxData["0.9999511827568459`"], "Output",
 CellChangeTimes->{{3.9068071355755277`*^9, 3.9068071545851045`*^9}},
 CellLabel->"Out[54]=",ExpressionUUID->"039f9418-023c-46a1-92a8-9f3fbb564396"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"\[Zeta]2D", "[", 
         RowBox[{"x", ",", 
          RowBox[{"2.5", "X"}], ",", "0", ",", "1"}], "]"}], "2"], ",", 
       SuperscriptBox[
        RowBox[{"\[CurlyPhi]xy", "[", 
         RowBox[{"x", ",", "X", ",", "0", ",", "1"}], "]"}], "2"], ",", 
       SuperscriptBox[
        RowBox[{"Qxy", "[", 
         RowBox[{"x", ",", "X", ",", "0", ",", "1"}], "]"}], "2"]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"X", ",", "1", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9067979010320654`*^9, 3.90679798756234*^9}, {
   3.9067980617824707`*^9, 3.906798074422372*^9}, {3.9068012691244936`*^9, 
   3.9068012730985117`*^9}, {3.9068042809628143`*^9, 3.906804293219308*^9}, 
   3.906804694758238*^9, {3.907038550839905*^9, 3.907038553415306*^9}, {
   3.907056469736147*^9, 3.907056555118657*^9}, {3.907056588526681*^9, 
   3.9070566223817987`*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"033c910d-d1e3-4ac3-9666-d7ee353dc01a"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`X$$ = 1., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`X$$], 1, 2}}, Typeset`size$$ = {
    360., {118., 122.25051609775929`}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`X$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{$CellContext`\[Zeta]2D[$CellContext`x, 2.5 $CellContext`X$$, 0, 
           1]^2, $CellContext`\[CurlyPhi]xy[$CellContext`x, $CellContext`X$$, 
           0, 1]^2, $CellContext`Qxy[$CellContext`x, $CellContext`X$$, 0, 
           1]^2}, {$CellContext`x, -2, 2}, PlotRange -> {0, 1}], 
      "Specifications" :> {{$CellContext`X$$, 1, 2}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{408., {161.63403309800196`, 167.36596690199804`}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.9067979629229264`*^9, 3.9067979884654436`*^9}, 
   3.9067980746723747`*^9, 3.906800192915615*^9, {3.906801273374226*^9, 
   3.9068012778044987`*^9}, {3.9068042754756775`*^9, 3.906804309443574*^9}, 
   3.9068046954845247`*^9, 3.9070385537837644`*^9, 3.9070423287674217`*^9, {
   3.907056475400941*^9, 3.907056556135911*^9}, {3.9070565891211224`*^9, 
   3.9070566228158817`*^9}},
 CellLabel->"Out[68]=",ExpressionUUID->"b19d4033-36f3-497e-ade9-43a957398612"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"test", " ", "=", " ", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["x", "4"], "+", 
         SuperscriptBox["x", "2"]}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{"2", 
        SuperscriptBox["\[ScriptL]x", "4"]}], ")"}]}]], 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["y", "4"], "+", 
         SuperscriptBox["y", "2"]}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{"2", 
        SuperscriptBox["\[ScriptL]y", "4"]}], ")"}]}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.9070386094955783`*^9, 3.9070386460282335`*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"680e4704-4d86-4645-a979-d18a34510971"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox["test", "2"], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[ScriptL]x", ">", "0"}], ",", 
      RowBox[{"\[ScriptL]y", ">", "0"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.9070386604364386`*^9},
 CellLabel->"In[57]:=",ExpressionUUID->"4279d65e-cad7-4899-8af9-a65ac91358bd"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    FractionBox["1", "8"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox["\[ScriptL]x", "4"]], "+", 
      FractionBox["1", 
       SuperscriptBox["\[ScriptL]y", "4"]]}], ")"}]}]], " ", 
  RowBox[{"BesselK", "[", 
   RowBox[{
    FractionBox["1", "4"], ",", 
    FractionBox["1", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[ScriptL]x", "4"]}]]}], "]"}], " ", 
  RowBox[{"BesselK", "[", 
   RowBox[{
    FractionBox["1", "4"], ",", 
    FractionBox["1", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[ScriptL]y", "4"]}]]}], "]"}]}]], "Output",
 CellChangeTimes->{3.9070386617737904`*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"b638ee15-1f70-424f-9d36-8ef67cbf8aeb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"500", "/", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"12", "\[Pi]"}], ")"}], "2"]}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.907059100717795*^9, 3.907059123127561*^9}, {
  3.9070606302659655`*^9, 3.907060630721142*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"d7226350-fa67-4dbd-ad79-509b3fbfc471"],

Cell[BoxData["0.351809665424784`"], "Output",
 CellChangeTimes->{{3.907059109473754*^9, 3.9070591233158903`*^9}, 
   3.9070606309051933`*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"42e5c0f2-974d-4e29-bc5e-41d651f5397f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"0.08", "*", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"12", "\[Pi]"}], ")"}], "2"]}]], "Input",
 CellChangeTimes->{{3.9070591850583467`*^9, 3.9070591911838675`*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"1582c6f7-6ac4-4888-8b91-167a917cd41b"],

Cell[BoxData["113.6978427005494`"], "Output",
 CellChangeTimes->{3.9070591914509587`*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"3e001f11-f2be-4ffd-bff3-6e3b307c6d29"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"444", "/", "137.0"}]], "Input",
 CellChangeTimes->{{3.9070618715069895`*^9, 3.9070618754034104`*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"6a027e2d-0c27-4ec1-a749-3a77a3b4da3e"],

Cell[BoxData["3.240875912408759`"], "Output",
 CellChangeTimes->{3.9070618756261992`*^9, 3.9070647769785876`*^9},
 CellLabel->"Out[75]=",ExpressionUUID->"0d2fc630-676d-469b-abcf-5ae79ff9ce81"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"74.2", "/", "6"}]], "Input",
 CellChangeTimes->{{3.9070647824332128`*^9, 3.9070648219569955`*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"eb7f113f-8274-41ed-96af-0d057b01077f"],

Cell[BoxData["12.366666666666667`"], "Output",
 CellChangeTimes->{{3.907064788451619*^9, 3.907064822758484*^9}},
 CellLabel->"Out[78]=",ExpressionUUID->"7d763c6f-7b5f-4f1b-aee6-cd80d89e86c1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SqrtBox[
   FractionBox[
    RowBox[{"1.054571817", "\[Times]", 
     SuperscriptBox["10", 
      RowBox[{"-", "34"}]]}], 
    RowBox[{"164", "*", "1.66053906660", "*", 
     SuperscriptBox["10", 
      RowBox[{"-", "27"}]], "*", "2", "\[Pi]", "*", "444"}]]], "*", 
  SuperscriptBox["10", "6"]}]], "Input",
 CellChangeTimes->{{3.90712447492118*^9, 3.907124485563692*^9}, {
   3.9071246310496273`*^9, 3.9071246614652967`*^9}, {3.907124697916647*^9, 
   3.9071247256513014`*^9}, {3.9071247622665434`*^9, 
   3.9071247631576986`*^9}, {3.907125008902064*^9, 3.9071250091558857`*^9}, {
   3.9071250499469166`*^9, 3.9071250607307773`*^9}, 3.907125844332448*^9, {
   3.9071259607427235`*^9, 3.9071259789839826`*^9}, {3.9071413166911907`*^9, 
   3.907141316949793*^9}, 3.907141669907065*^9, {3.907142422967744*^9, 
   3.90714242337148*^9}},ExpressionUUID->"366fd378-0e83-45b8-b642-\
5019aa564eb2"],

Cell[BoxData["0.39252893664958033`"], "Output",
 CellChangeTimes->{{3.9071246996303825`*^9, 3.9071247260147424`*^9}, 
   3.90712476389843*^9, 3.9071250093637877`*^9, {3.9071250546136136`*^9, 
   3.9071250611653214`*^9}, 3.907125844903445*^9, {3.907125962130062*^9, 
   3.9071259792267084`*^9}, 3.9071407183213177`*^9, 3.907141317176345*^9, 
   3.9071416701462617`*^9},
 CellLabel->"Out[92]=",ExpressionUUID->"7d0b84fe-a7f2-4879-835d-c1cfa4263f87"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FractionBox[
  RowBox[{"5", "*", 
   SuperscriptBox["10", 
    RowBox[{"-", "6"}]]}], 
  RowBox[{"131.0", "*", "5.291772109", "*", 
   SuperscriptBox["10", 
    RowBox[{"-", "11"}]]}]]], "Input",
 CellChangeTimes->{{3.907140491993994*^9, 3.9071404952364798`*^9}, {
  3.9071510349414973`*^9, 3.9071511429502387`*^9}},
 CellLabel->
  "In[153]:=",ExpressionUUID->"e584ff53-e0a9-4608-9354-51aa456a3af4"],

Cell[BoxData["721.269513220032`"], "Output",
 CellChangeTimes->{
  3.907140495483513*^9, 3.9071510610049963`*^9, {3.907151104173587*^9, 
   3.9071511440480366`*^9}},
 CellLabel->
  "Out[153]=",ExpressionUUID->"2898f546-6fbf-4a99-b803-0c05a2c843c2"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{718.5, 729.75},
WindowMargins->{{Automatic, -928.5}, {Automatic, 84.75}},
TaggingRules-><|"TryRealOnly" -> False|>,
FrontEndVersion->"13.2 for Microsoft Windows (64-bit) (November 18, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"dccde305-63d8-401d-9c52-62a9c331fa85"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 174, 3, 67, "Section",ExpressionUUID->"9363a600-1583-4616-8724-f4b1bbd892c1"],
Cell[757, 27, 696, 20, 52, "Input",ExpressionUUID->"e69b905f-04c3-4399-8fb9-af27a5a43ad7"],
Cell[CellGroupData[{
Cell[1478, 51, 653, 17, 31, "Input",ExpressionUUID->"67872261-0271-4eed-9b17-131564919bb4"],
Cell[2134, 70, 1817, 35, 343, "Output",ExpressionUUID->"7246a854-7b0d-4d94-9642-8dfd54e3e807"]
}, Open  ]],
Cell[3966, 108, 157, 3, 35, "Text",ExpressionUUID->"ec73a306-384c-47aa-b91b-381b138e64ea"],
Cell[CellGroupData[{
Cell[4148, 115, 543, 14, 31, "Input",ExpressionUUID->"f18bbffe-81ef-48c7-9ed2-1a19bede3cbc"],
Cell[4694, 131, 296, 4, 32, "Output",ExpressionUUID->"e7cf864a-bf83-45b0-a595-4e464afc0fb8"]
}, Open  ]],
Cell[5005, 138, 158, 3, 35, "Text",ExpressionUUID->"638d88a8-a5bb-4dd3-8441-1e0f36c5d26e"],
Cell[CellGroupData[{
Cell[5188, 145, 653, 18, 28, "Input",ExpressionUUID->"b948d27f-2a3b-4906-b17a-9e146262a970"],
Cell[5844, 165, 317, 7, 49, "Output",ExpressionUUID->"0856c51a-a34c-4d9d-9443-551e2ea1a2f3"]
}, Open  ]],
Cell[6176, 175, 157, 3, 35, "Text",ExpressionUUID->"2ee65a03-bfda-4dda-ad55-24c3306a698f"],
Cell[CellGroupData[{
Cell[6358, 182, 592, 16, 31, "Input",ExpressionUUID->"fc9c4c67-d0f4-4e1c-8bb7-7c5cc799f528"],
Cell[6953, 200, 271, 5, 50, "Output",ExpressionUUID->"fb82084d-ccad-452d-aa1b-e6825e87d4c9"]
}, Open  ]],
Cell[7239, 208, 166, 3, 35, "Text",ExpressionUUID->"b7761400-cc50-49a5-8152-31201d5382fb"],
Cell[CellGroupData[{
Cell[7430, 215, 538, 14, 31, "Input",ExpressionUUID->"572f799f-6e36-48d6-9bbd-f0d09d33a48a"],
Cell[7971, 231, 318, 7, 52, "Output",ExpressionUUID->"cef2bf7a-27d9-4ddd-b3a4-d9e6fffb07dc"]
}, Open  ]],
Cell[8304, 241, 164, 3, 35, "Text",ExpressionUUID->"3c3a85ee-1cb8-4b02-97ff-6e8933798b7c"],
Cell[CellGroupData[{
Cell[8493, 248, 543, 14, 31, "Input",ExpressionUUID->"8affe6ea-34e9-4e2a-a212-417cd7697747"],
Cell[9039, 264, 411, 11, 64, "Output",ExpressionUUID->"62e6cea9-f547-428e-903e-c6b17170493b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9487, 280, 707, 21, 67, "Input",ExpressionUUID->"f42d2715-8c00-4979-aa85-a0780896b1bc"],
Cell[10197, 303, 254, 3, 32, "Output",ExpressionUUID->"08ec8d82-d98f-45ae-a4de-f44611d20336"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10488, 311, 159, 3, 45, "Subsubsection",ExpressionUUID->"ff525df7-a128-41a8-baec-7180121ebee6"],
Cell[CellGroupData[{
Cell[10672, 318, 702, 19, 50, "Input",ExpressionUUID->"4a643741-089f-44fa-a0eb-039afa1c50b6"],
Cell[11377, 339, 273, 6, 49, "Output",ExpressionUUID->"998187e8-1389-4134-a125-e4b1fdc34e58"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11699, 351, 153, 3, 54, "Subsection",ExpressionUUID->"15198319-dab5-4208-9790-943047714c15"],
Cell[11855, 356, 754, 21, 76, "Input",ExpressionUUID->"35bff2c5-708c-4710-aae1-511cf7049877"],
Cell[CellGroupData[{
Cell[12634, 381, 174, 3, 45, "Subsubsection",ExpressionUUID->"b09fbee7-6d5f-4b82-93c3-81e98fc7bcb3"],
Cell[12811, 386, 215, 4, 35, "Text",ExpressionUUID->"766e7b17-6777-416b-bc00-0cbfe4db807b"],
Cell[CellGroupData[{
Cell[13051, 394, 450, 12, 50, "Input",ExpressionUUID->"70566162-59c6-48ee-9d64-129d9cf11054"],
Cell[13504, 408, 426, 10, 51, "Output",ExpressionUUID->"1c92b392-1cd5-46da-a528-223d39650ef7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13967, 423, 934, 25, 90, "Input",ExpressionUUID->"796e77d2-f82b-4a70-a20f-2b1bf7bb8fd5"],
Cell[14904, 450, 570, 16, 53, "Output",ExpressionUUID->"6a0e3f99-f99a-4604-9eb1-cab5dfb56c3e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15511, 471, 401, 10, 45, "Input",ExpressionUUID->"70618c21-5497-499a-b1f1-76c64d598d56"],
Cell[15915, 483, 411, 10, 65, "Output",ExpressionUUID->"f64b9ca5-cf41-4f58-aed6-86ccc84e41a1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16363, 498, 910, 25, 106, "Input",ExpressionUUID->"62e3c3fc-dd6c-4666-9a07-3a70a3a43623"],
Cell[17276, 525, 492, 14, 53, "Output",ExpressionUUID->"46d3f17f-025a-441d-b8b9-63e714c0fca3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[17817, 545, 222, 4, 45, "Subsubsection",ExpressionUUID->"c0f8f51e-2ccf-4eee-891e-a1a6cf7aec97"],
Cell[18042, 551, 332, 7, 35, "Text",ExpressionUUID->"dc945d09-54c6-41f0-bb7e-d96363dea68a"],
Cell[CellGroupData[{
Cell[18399, 562, 893, 22, 38, "Input",ExpressionUUID->"8c68a05d-2222-48c2-98ab-fffbf6f94f89"],
Cell[19295, 586, 1496, 43, 103, "Output",ExpressionUUID->"5b6f8065-09d1-429c-849b-87466a19dcb2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20828, 634, 468, 11, 38, "Input",ExpressionUUID->"5277fab4-2ad5-4f47-91cb-146f19862112"],
Cell[21299, 647, 841, 24, 54, "Output",ExpressionUUID->"84595553-094d-4135-9878-83c5df7ac7bc"]
}, Open  ]],
Cell[22155, 674, 150, 3, 35, "Text",ExpressionUUID->"37884b64-69e0-4bc9-80a1-ab776c254250"],
Cell[CellGroupData[{
Cell[22330, 681, 370, 9, 32, "Input",ExpressionUUID->"c8cf946c-feff-42bf-8d4e-2cf27c77f5ef"],
Cell[22703, 692, 149, 2, 32, "Output",ExpressionUUID->"7baacfd9-20b2-46f4-94ad-8d91dd409ece"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22889, 699, 916, 26, 88, "Input",ExpressionUUID->"6129d05b-758b-49ec-baa3-2aab995af674"],
Cell[23808, 727, 190, 3, 32, "Output",ExpressionUUID->"ebccdb47-3c7e-4f15-89dc-0ffc87b1ee36"],
Cell[24001, 732, 171, 2, 32, "Output",ExpressionUUID->"ec1d61a1-c94f-4107-b96c-4cbae7121de7"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[24221, 740, 163, 3, 45, "Subsubsection",ExpressionUUID->"614a6ee7-0ba4-4edb-93a1-ddf287b36bbe"],
Cell[CellGroupData[{
Cell[24409, 747, 514, 12, 38, "Input",ExpressionUUID->"afae188b-b97e-4080-9a5e-527b5aff8d98"],
Cell[24926, 761, 566, 15, 52, "Output",ExpressionUUID->"a0018bce-3b69-4e36-beae-cd81626f1703"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25529, 781, 501, 13, 38, "Input",ExpressionUUID->"79b6e95b-0c84-479c-8a6e-d7359e1450ea"],
Cell[26033, 796, 237, 4, 32, "Output",ExpressionUUID->"4be8ade7-55b9-4485-9a2c-974efdcdc689"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26307, 805, 591, 15, 38, "Input",ExpressionUUID->"084bca4e-a6ef-404e-aadb-b99016eb6b7c"],
Cell[26901, 822, 7241, 138, 230, "Output",ExpressionUUID->"4a2dbf88-5068-450e-aef3-2dc79b4c78b5"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[34215, 968, 155, 3, 67, "Section",ExpressionUUID->"1bbff0ee-6de9-4578-b58c-b5cffaaa4e8e"],
Cell[34373, 973, 1995, 60, 189, "Input",ExpressionUUID->"4c972eb1-7c9e-4aca-89be-a1df696fd095"],
Cell[36371, 1035, 156, 3, 35, "Text",ExpressionUUID->"bcaaddec-e01d-4032-812b-90f3b8a864a2"],
Cell[CellGroupData[{
Cell[36552, 1042, 711, 16, 31, "Input",ExpressionUUID->"e3cd9c0f-0e18-479a-bff1-088b2a2e2f1e"],
Cell[37266, 1060, 320, 4, 32, "Output",ExpressionUUID->"c1043647-9e16-43dc-b229-535225513db4"]
}, Open  ]],
Cell[37601, 1067, 160, 3, 35, "Text",ExpressionUUID->"93683b0d-8fcc-4edb-9d26-2c2932609906"],
Cell[CellGroupData[{
Cell[37786, 1074, 1343, 35, 48, "Input",ExpressionUUID->"3a18d74f-8c6f-4aa6-b7d2-1a4e484ee8b2"],
Cell[39132, 1111, 751, 18, 75, "Output",ExpressionUUID->"4b32515e-050c-4410-84b7-58d9b583e445"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39920, 1134, 1535, 44, 69, "Input",ExpressionUUID->"3cb469fe-fd3e-480e-99a3-383578706bf0"],
Cell[41458, 1180, 742, 19, 75, "Output",ExpressionUUID->"7036e37a-1332-4f0b-bc9c-349f26cf5362"]
}, Open  ]],
Cell[42215, 1202, 158, 3, 35, "Text",ExpressionUUID->"1384ff2b-cd3b-4bea-92b4-524d1fdd9ac6"],
Cell[CellGroupData[{
Cell[42398, 1209, 807, 21, 45, "Input",ExpressionUUID->"4f5c4a55-ff8c-4d2e-af9d-9e3995ba884d"],
Cell[43208, 1232, 494, 12, 65, "Output",ExpressionUUID->"8f993131-604b-4d78-ac92-03b9d4b7d856"]
}, Open  ]],
Cell[43717, 1247, 162, 3, 35, "Text",ExpressionUUID->"127c4ebc-9c46-4482-9f57-7dba64f47a32"],
Cell[CellGroupData[{
Cell[43904, 1254, 581, 15, 31, "Input",ExpressionUUID->"b7391b5f-6190-4094-90d1-93da75cb6dd6"],
Cell[44488, 1271, 435, 12, 67, "Output",ExpressionUUID->"246fd80e-9c92-4900-9b90-6f0d96a8bba4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44960, 1288, 579, 15, 31, "Input",ExpressionUUID->"6da94ff5-fdb7-4b8c-99f5-88e9cff263b4"],
Cell[45542, 1305, 708, 21, 64, "Output",ExpressionUUID->"35d02c6f-ff32-40b3-ab6c-9525c58a66fb"]
}, Open  ]],
Cell[46265, 1329, 146, 3, 35, "Text",ExpressionUUID->"65a3eb1a-12cf-4607-b9fe-116107c90b60"],
Cell[CellGroupData[{
Cell[46436, 1336, 143, 2, 28, "Input",ExpressionUUID->"e3966bbb-ff08-4e57-b839-737b54dae650"],
Cell[46582, 1340, 485, 14, 68, "Output",ExpressionUUID->"36b211fa-ad3e-4242-ad54-e9c2fa614ad8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47104, 1359, 574, 11, 28, "Input",ExpressionUUID->"4d073a7f-09a9-4cb4-915e-ee2f57cbe115"],
Cell[47681, 1372, 623, 16, 59, "Output",ExpressionUUID->"50409805-d978-429b-b7e7-261632193cb9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48341, 1393, 542, 15, 65, "Input",ExpressionUUID->"d4f9e174-8f32-4619-9dca-4aebd95c1898"],
Cell[48886, 1410, 390, 10, 58, "Output",ExpressionUUID->"9528048e-6c11-49e1-b922-5bf2a281746d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49313, 1425, 698, 19, 58, "Input",ExpressionUUID->"01aeff18-5008-40e8-a5e7-01247222256c"],
Cell[50014, 1446, 200, 3, 32, "Output",ExpressionUUID->"9d98d104-2144-46f1-b45f-a36ff746a67d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50251, 1454, 1373, 41, 130, "Input",ExpressionUUID->"6a53de0e-9864-4520-bb42-e647c9844550"],
Cell[51627, 1497, 299, 4, 32, "Output",ExpressionUUID->"38ee63b6-1a12-4f19-8884-3bcf9832c470"],
Cell[51929, 1503, 342, 6, 51, "Output",ExpressionUUID->"9039018c-112a-4174-8ec1-91f9b5c68088"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52308, 1514, 1793, 44, 98, "Input",ExpressionUUID->"723be611-be49-483a-ad8a-441fa9d7bf69"],
Cell[54104, 1560, 2416, 45, 364, "Output",ExpressionUUID->"9207aec3-4845-4b96-89e9-83e01c2b896d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56557, 1610, 1174, 35, 66, "Input",ExpressionUUID->"697a395a-ba66-473c-87a6-74f4303a4f19"],
Cell[57734, 1647, 239, 3, 32, "Output",ExpressionUUID->"77fc2032-4674-459e-97f6-f0f78f814e86"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58010, 1655, 866, 26, 66, "Input",ExpressionUUID->"6d5bd50a-676e-4249-a5ef-f564cf228c1b"],
Cell[58879, 1683, 2088, 64, 122, "Output",ExpressionUUID->"b096db87-dddf-4a2e-b18c-ce4e92d8dfee"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[61016, 1753, 165, 3, 67, "Section",ExpressionUUID->"e1d6e495-5976-4391-b593-7f69d8e5855e"],
Cell[61184, 1758, 790, 20, 57, "Input",ExpressionUUID->"1efe599f-cecd-40d1-a2c9-8cb0bcc73119"],
Cell[CellGroupData[{
Cell[61999, 1782, 640, 15, 31, "Input",ExpressionUUID->"9a0f8de1-0801-45e5-9dff-dbe70551ed0e"],
Cell[62642, 1799, 420, 6, 32, "Output",ExpressionUUID->"0d82ad42-9787-43d7-98fb-033343f967a4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63099, 1810, 142, 2, 28, "Input",ExpressionUUID->"366ee2ce-9b72-4a3e-a981-fbec08b76039"],
Cell[63244, 1814, 211, 3, 32, "Output",ExpressionUUID->"10d85da5-5fe9-40f1-94bf-dc82d1610e6b"]
}, Open  ]],
Cell[63470, 1820, 147, 2, 35, "Text",ExpressionUUID->"5806d104-c01a-4cca-85b5-f1059085d092"],
Cell[63620, 1824, 882, 27, 51, "Input",ExpressionUUID->"67af1419-14b8-4e07-b6b7-84a8b82b7403"],
Cell[CellGroupData[{
Cell[64527, 1855, 710, 18, 31, "Input",ExpressionUUID->"861d1a5e-4778-4d89-bce1-9727e0de0e58"],
Cell[65240, 1875, 379, 7, 48, "Output",ExpressionUUID->"ab49be0a-f594-4302-8380-9496045fd379"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65656, 1887, 1788, 46, 96, "Input",ExpressionUUID->"1d7abe0c-b177-452d-99dc-e288f5d8700e"],
Cell[67447, 1935, 2702, 49, 372, "Output",ExpressionUUID->"e19666f6-c742-4ad2-8ab5-3b6859a2c4be"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[70198, 1990, 156, 3, 67, "Section",ExpressionUUID->"d904f7a6-0fb2-4068-b075-6e7ad558d961"],
Cell[70357, 1995, 156, 3, 35, "Text",ExpressionUUID->"f2deb6ba-1000-455b-9071-3aca7017d334"],
Cell[70516, 2000, 925, 22, 56, "Input",ExpressionUUID->"6ab86ec7-b7c9-4083-9c0e-5fb28df9f6aa"],
Cell[CellGroupData[{
Cell[71466, 2026, 1075, 32, 85, "Input",ExpressionUUID->"9f1e04bb-dc6f-40c5-bc63-52c55b56b688"],
Cell[72544, 2060, 321, 4, 32, "Output",ExpressionUUID->"a3ea3204-66f5-42ff-88ad-79126f80429d"]
}, Open  ]],
Cell[72880, 2067, 154, 3, 35, "Text",ExpressionUUID->"ba9091a7-231b-4e70-a7c4-db4d6aa916a6"],
Cell[73037, 2072, 1033, 32, 54, "Input",ExpressionUUID->"0c4af6e9-8729-44af-8996-2d1afe03cf3a"],
Cell[CellGroupData[{
Cell[74095, 2108, 750, 19, 31, "Input",ExpressionUUID->"6755f202-329f-408a-afe2-685fcf6de27f"],
Cell[74848, 2129, 172, 2, 32, "Output",ExpressionUUID->"372084a9-862c-440c-902b-f05062158c0f"]
}, Open  ]],
Cell[75035, 2134, 153, 3, 35, "Text",ExpressionUUID->"367876d1-5218-4370-b0b3-1d70d8ac1305"],
Cell[CellGroupData[{
Cell[75213, 2141, 1639, 48, 89, "Input",ExpressionUUID->"fb2abd77-6219-496a-a3a1-2e96666d7e5a"],
Cell[76855, 2191, 200, 3, 32, "Output",ExpressionUUID->"ae4ae0b1-ae27-4fb5-948d-7b5e1676d018"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77092, 2199, 1302, 38, 96, "Input",ExpressionUUID->"5f6d3827-7a38-4734-b251-dfee6d065641"],
Cell[78397, 2239, 195, 2, 32, "Output",ExpressionUUID->"71f8ac45-f6c8-4b58-aa39-c1e5a4cd2330"],
Cell[78595, 2243, 195, 2, 32, "Output",ExpressionUUID->"039f9418-023c-46a1-92a8-9f3fbb564396"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78827, 2250, 1320, 32, 53, "Input",ExpressionUUID->"033c910d-d1e3-4ac3-9666-d7ee353dc01a"],
Cell[80150, 2284, 2219, 41, 348, "Output",ExpressionUUID->"b19d4033-36f3-497e-ade9-43a957398612"]
}, Open  ]],
Cell[82384, 2328, 842, 25, 34, "Input",ExpressionUUID->"680e4704-4d86-4645-a979-d18a34510971"],
Cell[CellGroupData[{
Cell[83251, 2357, 616, 16, 31, "Input",ExpressionUUID->"4279d65e-cad7-4899-8af9-a65ac91358bd"],
Cell[83870, 2375, 814, 25, 60, "Output",ExpressionUUID->"b638ee15-1f70-424f-9d36-8ef67cbf8aeb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[84721, 2405, 347, 8, 30, "Input",ExpressionUUID->"d7226350-fa67-4dbd-ad79-509b3fbfc471"],
Cell[85071, 2415, 220, 3, 32, "Output",ExpressionUUID->"42e5c0f2-974d-4e29-bc5e-41d651f5397f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[85328, 2423, 274, 6, 28, "Input",ExpressionUUID->"1582c6f7-6ac4-4888-8b91-167a917cd41b"],
Cell[85605, 2431, 168, 2, 32, "Output",ExpressionUUID->"3e001f11-f2be-4ffd-bff3-6e3b307c6d29"]
}, Open  ]],
Cell[CellGroupData[{
Cell[85810, 2438, 204, 3, 28, "Input",ExpressionUUID->"6a027e2d-0c27-4ec1-a749-3a77a3b4da3e"],
Cell[86017, 2443, 192, 2, 32, "Output",ExpressionUUID->"0d2fc630-676d-469b-abcf-5ae79ff9ce81"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86246, 2450, 201, 3, 28, "Input",ExpressionUUID->"eb7f113f-8274-41ed-96af-0d057b01077f"],
Cell[86450, 2455, 191, 2, 32, "Output",ExpressionUUID->"7d763c6f-7b5f-4f1b-aee6-cd80d89e86c1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86678, 2462, 915, 19, 59, "Input",ExpressionUUID->"366fd378-0e83-45b8-b642-5019aa564eb2"],
Cell[87596, 2483, 447, 6, 32, "Output",ExpressionUUID->"7d0b84fe-a7f2-4879-835d-c1cfa4263f87"]
}, Open  ]],
Cell[CellGroupData[{
Cell[88080, 2494, 414, 11, 48, "Input",ExpressionUUID->"e584ff53-e0a9-4608-9354-51aa456a3af4"],
Cell[88497, 2507, 248, 5, 32, "Output",ExpressionUUID->"2898f546-6fbf-4a99-b803-0c05a2c843c2"]
}, Open  ]]
}, Open  ]]
}
]
*)

